*{
  
    box-sizing: border-box;
}

body{
    font-family:sans-serif;
    display: flex;
    flex-flow:row;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
    background-image:linear-gradient(90deg,#7d5fff,#7158e2);
}
.search{
    position: relative;
    height: 50px;
}

.search .input{
    background-color: rgba(252, 208, 218,0.4);
    border:#F5F5DC;
    height:2rem;
    font-size:1.2rem;
    padding:0.9rem;
    width:2rem;
    transition: width 0.3s ease-out;
}
.search .input:focus, .btn:focus{
    outline:none
}
.btn{
    background-color: #fff;
    border:0;
    cursor: pointer;
    font-size: 1.2rem;
    position:absolute;
    top:0;
    left:0;
    height: 2rem;
    width: 2rem;
    transition: transform 0.3s ease-out;
}
.search.active .input{
    width: 200px;
}
.search.active .btn{
    transform: translateX(198px);
}